Subject: [Dime] Overload Control Solution Progress

From: Ben Campbell <[email-masked]>
Date: Wed, 26 Jun 2013 16:55:39 -0500

Hi Everyone,

The Diameter overload control requirements draft has been submitted to the IESG and is undergoing AD review. I think we can consider the requirement to be reasonably stable. That means it's time to start making progress on a solution. The current proposals on the table are draft-roach-dime-overload-ctrl-03, which piggy-backs overload reports onto existing Diameter messages, and draft-korhonen-dime-ovl-01, which defines a dedicated application for transmitting overload reports.

Now what? How can we move forward?

Eric published a requirements analysis of the Roach draft (Appendix A in version 03.) That analysis indicates that the draft meets all the requirements except Req 34 (traversing non-supporting intermediaries. I recently published draft-campbell-dime-overload-issues to discuss some issues in solving Req 34, and to hopefully start some discussion about whether it really makes sense to support non-adjacent overload control in the general case. But in either case, we think we can add some restricted non-adjacent support with some fairly minor changes to the Roach draft. 

We would greatly appreciate feedback on whether other agree with the requirements analysis. We would welcome a similar analysis of Jouni's draft for comparison purposes.

I would personally love to come out of the Berlin meeting with a good idea of the path forward--maybe even a decision to adopt some draft or another for the overload control solution milestone. Do the chairs have thoughts on how to proceed? 

Thanks!

Ben.